FreeMat

- Main Page
- Related Pages

vtkMapperCollection

Section: Visualization Toolkit Rendering Classes

# Usage

vtkMapperCollection represents and provides methods to manipulate a list of mappers (i.e., vtkMapper and subclasses). The list is unsorted and duplicate entries are not prevented.

To create an instance of class vtkMapperCollection, simply invoke its constructor as follows

      obj = vtkMapperCollection

# Methods

The class vtkMapperCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMapperCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMapperCollection = obj.NewInstance ()`
- `vtkMapperCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkMapper a)` - Add an mapper to the list.
- `vtkMapper = obj.GetNextItem ()` - Get the next mapper in the list.
- `vtkMapper = obj.GetLastItem ()` - Get the last mapper in the list.